org.h2.test.store

## Class CalculateHashConstant

- java.lang.Object
- - org.h2.test.store.CalculateHashConstant

All Implemented Interfaces:
  java.lang.Runnable

    public class CalculateHashConstant
    extends java.lang.Object
    implements java.lang.Runnable

Calculate the constant for the secondary / supplemental hash function, so that the hash function mixes the input bits as much as possible.

### Constructor Summary

Constructors
Constructor and Description
`CalculateHashConstant()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` Run just this test.
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CalculateHashConstant

    public CalculateHashConstant()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

Run just this test.

Parameters:
  `args` - ignored
Throws:
  `java.lang.Exception`

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`